Main Page Widgets Namespaces Book

# notebook.h File Reference

## Namespaces

namespace | Gtk
namespace | Gtk::Notebook_Helpers
namespace | Glib

## Classes

class | Gtk::Notebook_Helpers::PageIterator
class | Gtk::Notebook_Helpers::Page
class | Gtk::Notebook_Helpers::Element
struct | Gtk::Notebook_Helpers::TabElem
struct | Gtk::Notebook_Helpers::MenuElem
class | Gtk::Notebook_Helpers::PageList
| An STL-style container for pages in a Gtk::Notebook. More...
class | Gtk::Notebook
| Container which shows one of its children at a time, in tabbed windows. More...

## Typedefs

typedef Element | WidgetElem

## Enumerations

enum | NotebookTab { NOTEBOOK_TAB_FIRST, NOTEBOOK_TAB_LAST }

## Typedef Documentation

typedef Element Gtk::Notebook_Helpers::WidgetElem